%global packname  tinytex
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.6
Release:          2%{?dist}
Summary:          Helper Functions to Install and Maintain 'TeX Live', and Compile 'LaTeX' Documents

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-xfun >= 0.3
# Suggests:  R-testit
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-xfun >= 0.3
Suggests:         R-testit
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-xfun >= 0.3
BuildRequires:    R-testit

%description
Helper functions to compile 'LaTeX' documents. This package also contains
helper functions to install and maintain the 'LaTeX' distribution named
'TinyTeX', and install missing 'LaTeX' packages automatically. TinyTeX
(<https://yihui.name/tinytex/>) is a lightweight, cross-platform,
portable, and easy-to-maintain version of 'TeX Live'.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 08 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6-1
- Update to latest version

* Sat May 12 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.5-1
- initial package for Fedora
